{ config, lib, ... }:

let
  cfg = config.utils;
in
{
  imports = [ ./subs/sxhkd.nix ];

  options.utils = {
    rofi.enable = lib.mkOption {
      default = false;
      type = lib.types.bool;
    };
    sxhkd.enable = lib.mkOption {
      default = false;
      type = lib.types.bool;
    };
    flameshot.enable = lib.mkOption {
      default = false;
      type = lib.types.bool;
    };
  };

  config = {
    programs.rofi.enable = cfg.rofi.enable;

    subs.sxhkd.enable = cfg.sxhkd.enable;

    services.flameshot = {
      enable = cfg.flameshot.enable;
      settings = {
        General = {
          savePathFixed = false;
          saveAfterCopy = true;
          showStartupLaunchMessage = false;
          useJpgForClipboard = true;
        };
      };
    };
  };
}
